GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
json.h File Reference
`#include <stdlib.h>`
`#include "src/core/json/json_common.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_json

## Typedefs
typedef struct grpc_json | grpc_json

## Functions
grpc_json * | grpc_json_parse_string_with_len (char *input, size_t size)
grpc_json * | grpc_json_parse_string (char *input)
char * | grpc_json_dump_to_string (grpc_json *json, int indent)
grpc_json * | grpc_json_create (grpc_json_type type)
void | grpc_json_destroy (grpc_json *json)

## Typedef Documentation

typedef struct grpc_json grpc_json

## Function Documentation

grpc_json* grpc_json_create | ( | grpc_json_type | type | ) |

void grpc_json_destroy | ( | grpc_json * | json | ) |

char* grpc_json_dump_to_string | ( | grpc_json * | json,
|  | int | indent
| ) |  |

grpc_json* grpc_json_parse_string | ( | char * | input | ) |

grpc_json* grpc_json_parse_string_with_len | ( | char * | input,
|  | size_t | size
| ) |  |